com.ihr.xbrl.om.ixbrl

## Class IXBRLProcessor

- java.lang.Object
- - com.ihr.xbrl.om.ixbrl.IXBRLProcessor

- All Implemented Interfaces:
    XBRLPlugInProcessor

      public class IXBRLProcessor
      extends java.lang.Object
      implements XBRLPlugInProcessor

  The Class IXBRLProcessor.
  Author:
    Ignacio

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROCESSORNAME` The Constant PROCESSORNAME.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Called when the DTSContainer's clear method is called.
    `void` | `configure(java.util.Properties properties)` Configures the processor according with the properties passed in in the properties parameter.
    `static IXBRLProcessor` | `create(DTSContainer dts)` Creates the.
    `java.lang.String` | `getDescription()` Returns the processor description so it can be written in validation reports.
    `java.lang.String` | `getName()` Returns the processor name so it can be written in validation reports.
    `XMLDocumentURI` | `getXBRLInstanceSource(XMLDocumentURI sourceTree)` Extracts from the node the surrounding XBRLInstance as an XdmNode.
    `boolean` | `isHidden()` A hidden processor will not pop-up in the GUI tabs.
    `XBRLValidationReport` | `validate()` Validates the content of the DTS according to the rules indicated in this plug-in processor.
    `XBRLValidationReport` | `validate(XBRLDocument xDocument)` Validates the document according to the rules indicated in this plug-in processor.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROCESSORNAME

          public static final java.lang.String PROCESSORNAME

      The Constant PROCESSORNAME.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          public static IXBRLProcessor create(DTSContainer dts)
                                       throws com.rs.lic.LicenseVerificationException,
                                              XBRLValidationException

      Creates the.
      Parameters:
        `dts` - the dts
      Returns:
        the IXBRL processor
      Throws:
        `com.rs.lic.LicenseVerificationException` - the license verification exception
        `XBRLValidationException` - the XBRL validation exception

    - #### validate

          public XBRLValidationReport validate()

      Description copied from interface: `XBRLPlugInProcessor`
      Validates the content of the DTS according to the rules indicated in this plug-in processor.

      This is the method that is called by the DTSContainer on each XBRLPlugInProcessor when the validation() method is called on the DTSContainer instance.

      Specified by:
        `validate` in interface `XBRLPlugInProcessor`
      Returns:
        an XBRLValidationReport object `XBRLValidationReport`

    - #### getXBRLInstanceSource

          public XMLDocumentURI getXBRLInstanceSource(XMLDocumentURI sourceTree)
                                               throws DTSDiscoveryException

      Extracts from the node the surrounding XBRLInstance as an XdmNode.
      Parameters:
        `sourceTree` - the source document tree
      Returns:
        XdmNode a new tree
      Throws:
        `DTSDiscoveryException` - the DTS discovery exception

    - #### getDescription

          public java.lang.String getDescription()

      Description copied from interface: `XBRLPlugInProcessor`
      Returns the processor description so it can be written in validation reports.
      Specified by:
        `getDescription` in interface `XBRLPlugInProcessor`
      Returns:
        the description

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `XBRLPlugInProcessor`
      Returns the processor name so it can be written in validation reports.
      Specified by:
        `getName` in interface `XBRLPlugInProcessor`
      Returns:
        the name

    - #### configure

          public void configure(java.util.Properties properties)

      Description copied from interface: `XBRLPlugInProcessor`
      Configures the processor according with the properties passed in in the properties parameter.
      Specified by:
        `configure` in interface `XBRLPlugInProcessor`
      Parameters:
        `properties` - the properties

    - #### validate

          public XBRLValidationReport validate(XBRLDocument xDocument)

      Description copied from interface: `XBRLPlugInProcessor`
      Validates the document according to the rules indicated in this plug-in processor.
      Specified by:
        `validate` in interface `XBRLPlugInProcessor`
      Parameters:
        `xDocument` - the x document
      Returns:
        an XBRLValidationReport object `XBRLValidationReport`

    - #### isHidden

          public boolean isHidden()

      Description copied from interface: `XBRLPlugInProcessor`
      A hidden processor will not pop-up in the GUI tabs.
      Specified by:
        `isHidden` in interface `XBRLPlugInProcessor`
      Returns:
        true if processor is hidden. False if the processor has a GUI

    - #### clear

          public void clear()

      Description copied from interface: `XBRLPlugInProcessor`
      Called when the DTSContainer's clear method is called. Shall clean up resources and empty tables.
      Specified by:
        `clear` in interface `XBRLPlugInProcessor`